# Face Selector

## CLI Arguments

### Face Selector Mode

Use reference based tracking or simple matching.

Argument: `--face-selector-mode`

Default: `reference`

Choices:&#x20;

* `many`
* `one`
* `reference`

Example: `--face-selector-mode one`

### Face Selector Order

Specify the order of the detected faces.

Argument: `--face-selector-order`

Default: `large-small`

Choices:&#x20;

* `left-right`
* `right-left`
* `top-bottom`
* `bottom-top`
* `small-large`
* `large-small`
* `best-worst`
* `worst-best`

Example: `--face-selector-order left-right`

### Face Selector Age Start

Filter the detected faces based the starting age.

Argument: `--face-selector-age-start`

Default: `None`

Range: `0` to `100` at `1`

Example: `--trim-frame-start 20`

### Face Selector Age End

Filter the detected faces based the ending age.

Argument: `--face-selector-age-end`

Default: `None`

Range: `0` to `100` at `1`

Example: `--trim-frame-end 40`

### Face Selector Gender

Filter the detected faces based on their gender.

Argument: `--face-selector-gender`

Default: `None`

Choices:&#x20;

* `male`
* `female`

Example: `--face-selector-gender male`

### Face Selector Race

Filter the detected faces based on their race.

Argument: `--face-selector-race`

Default: `None`

Choices:

* `white`
* `black`
* `latino`
* `asian`
* `indian`
* `arabic`

Example: `--face-selector-gender white`

### Reference Face Position

Specify the position used to create the reference face.

Argument: `--reference-face-position`

Default: `0`

Example: `--reference-face-position 1`

### Reference Face Distance

Specify the similarity between the reference face and target face.

Argument: `--reference-face-distance`

Default: `0.3`

Range: `0` to `1` at `0.05`

Example: `--reference-face-distance 0.6`

### Reference Frame Number

Specify the frame used to create the reference face.

Argument: `--reference-frame-number`

Default: `0`

Example: `--reference-frame-number 100`

## Default Overrides

Modify the `facefusion.ini` file to override the defaults.

```ini
[face_selector]
face_selector_mode = one
face_selector_order = left-right
face_selector_age_start = 20
face_selector_age_end = 40
face_selector_gender = male
face_selector_race = white
reference_face_position = 1
reference_face_distance = 0.6
reference_frame_number = 100
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.facefusion.io/usage/cli-arguments/face-selector.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
